# Gets the comment facts. **GET /api/CommentFacts** Retrieves comments and their metadata for accounts in the specified period and engagement(s). ## Servers - Production server: https://analyticsapi.adra.com/balancer (Production server) - Stage server: https://analyticsapi.adrastage.com/balancer (Stage server) - Test server: https://analyticsapi.adratest.com/balancer (Test server) - Dev server: https://analyticsapi.adradev.com/balancer (Dev server) ## Authentication methods - Basic - Adra personal access token ## Parameters ### Query parameters - **period** (string) possible values : Current or 0 - Current period for filtered engagement(s), LastThree or 1(Default option) - Last three periods for filtered engagement(s), LastThirteen or 13 - Last thirteen periods for filtered engagement(s), LastTwentyFive or 25 - Last twenty five periods for filtered engagement(s), All or 99 - **engagement** (string) Short Guid of desired engagement Ex - ESXmkya-nEeWMX-7_3fSxA or Guid of desired engagement Ex - 45c31339-96d0-4262-b051-c00f392685c1 ## Responses ### 200 Success #### Body: application/json (array[object]) - **engagement_Key** (integer(int32)) - **legalEntity_Key** (integer(int32)) - **period_Key** (integer(int32)) - **fiscalYearPeriod_Key** (integer(int32)) - **account_Key** (integer(int32)) - **addedByUsername** (string | null) - **addedByName** (string | null) - **commentText** (string | null) - **commentAdded** (string(date-time)) - **accountPeriodComment_Key** (integer(int32)) - **userKey** (integer(int32)) - **engagementGuid** (string(uuid)) ### 400 Bad Request ### 404 Not Found ### 500 Server Error [Powered by Bump.sh](https://bump.sh)